<ion-content>
  <ion-grid>
      <ion-card-content>
          <form [formGroup]="form" (ngSubmit)="updateUpi()" (keyup.enter)="updateUpi()" method="post">

              <ion-item>
                  <ion-label position="floating">{{ 'UPI Id' | translate }}</ion-label>
                  <ion-input formControlName="upiId" type="text" name="upiId" value="{{this.accountCache?.objects[0]?.upiId}}"></ion-input>
              </ion-item>

              <div style="color: red"
                  *ngIf="form.get('upiId').hasError('required') && form.get('upiId').touched">
                   {{ 'This field is required*' | translate }}</div>

              <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">{{ 'Update UPI'| translate}}</ion-button>
          </form>
      </ion-card-content>
  </ion-grid>
</ion-content>